Gate
Get a gate visit with its weighing tickets and timeline (scope: gate:read)
GET
bearerAuthheader
AuthorizationBearer <token>API key as Bearer token
id*stringGate visit id
Format
uuidOK
application/json- response
data*error*nullcurl -X GET "https://example.com/gate/visits/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "number": "string", "direction": "INBOUND", "status": "EXPECTED", "source": "MANUAL", "vehicle_plate": "string", "trailer_plate": "string", "fleet_vehicle_id": "ceaff20e-4a5b-4d27-b404-c40b42bbe6c7", "compliance_alerts": [ { "kind": "string", "expiresAt": "2019-08-24T14:15:22Z", "expired": true } ], "driver_name": "string", "carrier_id": "48e94619-563d-402c-b442-97b2c8fb116b", "carrier_name": "string", "partner_id": "6a3a39f6-861b-4a48-b868-5de838400e06", "location_id": "46910cc3-ab41-4b80-b4a7-94dab9f1b795", "dock_name": "string", "purpose": "string", "notes": "string", "expected_at": "2019-08-24T14:15:22Z", "arrived_at": "2019-08-24T14:15:22Z", "docked_at": "2019-08-24T14:15:22Z", "departed_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "weighings": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "visit_id": "4fa595bd-6c49-4a9e-9507-63e9ca0eb0fc", "number": "string", "unit": "kg", "gross_kg": "string", "tare_kg": "string", "net_kg": "string", "weighed_in_at": "2019-08-24T14:15:22Z", "weighed_out_at": "2019-08-24T14:15:22Z", "scale_name": "string", "operator_name": "string", "notes": "string", "created_at": "2019-08-24T14:15:22Z" } ], "events": [ { "type": "string", "from_status": "EXPECTED", "to_status": "EXPECTED", "created_at": "2019-08-24T14:15:22Z" } ] }, "error": null}